/// <reference types="node" />
import { GetServerSidePropsContext, NextPageContext } from "next";
import { Context } from "next-redux-wrapper";
export declare const isClient: () => boolean;
/**
 * Returns whether the provided context is a `GetServerSidePropsContext` or a `PageContext` with
 * `req` and `res` set.
 */
export declare const isSsrContext: (context: Context) => context is GetServerSidePropsContext<import("querystring").ParsedUrlQuery, import("next").PreviewData> | import("type-fest").Simplify<import("type-fest").Except<NextPageContext<any>, "req" | "res"> & Required<Pick<NextPageContext<any>, "req" | "res">>>;
/**
 * Returns whether the provided context is an `AppContext`.
 */
export declare const isAppContext: (context: Context) => context is import("next/dist/shared/lib/utils").AppContextType<import("next/router").Router>;
